## sphinx 0.6.2

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,12 @@
 
 .PHONY: all check clean clean-pyc clean-patchfiles pylint reindent test
 
-all: clean-pyc check
+all: clean-pyc check test
 
 check:
-	@$(PYTHON) utils/check_sources.py -i sphinx/style/jquery.js sphinx
+	@$(PYTHON) utils/check_sources.py -i sphinx/style/jquery.js \
+		-i sphinx/pycode/pgen2 -i sphinx/util/smartypants.py \
+		-i doc/_build -i ez_setup.py -i tests/path.py -i tests/coverage.py .
 
 clean: clean-pyc clean-patchfiles
 
@@ -27,4 +29,7 @@
 	@$(PYTHON) utils/reindent.py -r -B .
 
 test:
-	@cd tests; $(PYTHON) run.py -d
+	@cd tests; $(PYTHON) run.py -d -m '^[tT]est' $(TEST)
+
+covertest:
+	@cd tests; $(PYTHON) run.py -d -m '^[tT]est' --with-coverage --cover-package=sphinx $(TEST)
