## sphinx 1.0.7

=== debian/changelog ===
sphinx (1.0.7-2~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 20 Mar 2011 00:48:07 -0400

sphinx (1.0.7-2) experimental; urgency=low

  [ Mikhail Gusarov ]
  * Change my email address.

  [ Jakub Wilk ]
  * Stop embedding Python version in filename of grammar pickle.
  * Ship grammar pickle in the binary package (closes: #613412). Thanks to
    Frederic-Emmanuel Picca for the bug report.
  * Drop preinst script to remove python-central leftovers; not needed
    anymore.
  * Revert changes to the autosummary extension introduced in 1.0.7
    (closes: #611078).

 -- Jakub Wilk <jwilk@debian.org>  Thu, 17 Feb 2011 15:26:43 +0100

sphinx (1.0.7-1) experimental; urgency=low

  * New upstream release.
    + Refresh patches.
    + Add texlive-{latex-{recommended,extra},fonts-recommended} to
      Build-Depends-Indep, so that tests for LaTeX output can be run.
  * Move pycode/Grammar.txt and ext/autosummary/templates/* out of
    /usr/share/pyshared/ (closes: #609486).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 15 Jan 2011 19:32:06 +0100

sphinx (1.0.6-1) experimental; urgency=low

  * New upstream release.
    + Refresh patches.
    + Bump year in debian/copyright.
  * Don't compress objects.inv. Thanks to Michael Fladischer for the bug
    report.
  * Remove *.egg-info in the clean target.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 08 Jan 2011 15:54:59 +0100

sphinx (1.0.5-1) experimental; urgency=low

  [ Jakub Wilk ]
  * New upstream release.
  * Fix formatting of the manual pages.
  * Update and significantly rewrite manual pages (closes: #593623).
  * Point Vcs-* fields to the 1.0 branch.
  * Switch to source format 3.0 (quilt).
    + Drop README.source.
    + Refresh patches.
    + Update debian/rules.
    + Drop quilt from build-depends.
  * Update debian/copyright.
  * Use DEP-3 format for patch headers.
  * Run tests at build time.
    + Add python-nose and python-simplejson to Build-Depends-Indep.
    + Patch test runner to import modules correctly and prevent it from
      reading files in /usr/share/sphinx.
    + Update debian/rules.

  [ Stefano Rivera ]
  * Improve language and clarify options in manpages.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 18 Dec 2010 18:11:54 +0100

sphinx (1.0.1-1) experimental; urgency=low

  [ Mikhail Gusarov ]
  * Fix preinst script to correctly remove python-central remnants (Closes:
    #559572).

  [ Jakub Wilk ]
  * Add myself to uploaders.
  * New upstream release, fixing HTML generation bugs (closes: #588825,
    #588829).
  * Bump standards version to 3.9.1 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 07 Aug 2010 17:34:29 +0200

sphinx (1.0~b1-1) experimental; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
  * Minimum required versions bumped:
    - python-jinja2 >= 2.2
    - python-docutils >= 0.5
  * move_static_files_outside_site-packages.patch updated

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 25 May 2010 23:01:44 +0200

sphinx (0.6.6-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
    - disable_ez_setup.patch removed, no longer needed
    - move_static_files_outside_site-packages.patch updated
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 25 May 2010 22:30:46 +0200

sphinx (0.6.5-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 29 Mar 2010 23:08:45 +0200

sphinx (0.6.4-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 13 Jan 2010 23:26:40 +0100

sphinx (0.6.3-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Add preinst maintainer script to remove python-central leftovers; thanks to
    Jakub Wilk for the report; Closes: #559572

  [ Sandro Tosi ]
  * debian/control
    - added misc:Depends to the binary package Depends line

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 03 Jan 2010 22:37:20 +0600

sphinx (0.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #545042):
    - handle error when using autoclass with a non-class (Closes: #537165)
    - all patches refreshed.
  * Use debian/pyversions instead of X[SB]-Python-Version.
  * Add doc-base file for manual.
  * Bump Standards-Version, no changes needed.

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Fri, 04 Sep 2009 17:49:20 +0700

sphinx (0.6.2-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release (Closes: #527538)
    - add_missing_sphinx-autogen and rfind-invocation patches removed, no
      longer needed
    - move_static_files_outside_site-packages.patch updated
  * Standards-Version bumped to 3.8.2, no changes needed.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 17 Jun 2009 19:32:26 +0200

sphinx (0.6.1-2) unstable; urgency=low

  [ Mikhail Gusarov ]
  * Fix debian/README.source: s/dpatch/quilt/ (Closes: #523293).
  * Add debian/rfind-invocation.patch, fixing breakage on python-werkzeug
    docs.

  [ Piotr Ożarowski ]
  * Install .mo files (Closes: #526027)

 -- Mikhail Gusarov <dottedmag@dottedmag.net>  Sun, 12 Apr 2009 14:37:30 +0700

sphinx (0.6.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
    + depend on python-jinja2 instead of python-jinja
  * Add move_static_files_outside_site-packages patch
  * Build depend on python-all (>= 2.5.4-1) (py_libdir is now used in
    debian/rules)
  * add_missing_sphinx-autogen.patch added (missing file will be added in next

