## sphinx 1.0.7+dfsg

=== debian/changelog ===
sphinx (1.0.7+dfsg-1) unstable; urgency=medium

  * Strip jQuery and Underscore.js from the upstream tarball (closes:
    #631535).
    + Add get-orig-source target.
    + Remove them from debian/copyright.
    + Add build-dependency on libjs-underscore,
    + Update watch file to deal with the +dfsg suffix.
  * Unify multiple calls to dh_link.
  * Use build/html as build directory for documentation.
  * Add integration tests for the JavaScript code. They should allow us to
    avoid bugs like #625208 or #628642 in the future.
    + Build-depend on xvfb, xauth, python-webkit, libjs-jquery and
      libjs-underscore.
  * Add build-arch and build-indep targets to debian/rules.
  * Add new tool, dh_sphinxdoc that aids shipping Sphinx-generated
    documentation in Debian packages.
    + Update debian/rules, debian/control and debian/*.links to use
      dh_sphinxdoc.
    + Use pod2man to generate manpage. Add dependency on perl. Update
      debian/manpages and debian/clean.
  * Move all JavaScript code into a separate package, libjs-sphinxdoc.
  * Fix test_build_latex to not fail in a directory with special characters.
  * Use debian/clean rather than listing files to clean directly in
    debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 10 Jul 2011 22:43:16 +0200

sphinx (1.0.7-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Bump standards version to 3.9.2 (no changes needed).
  * Bump minimum required version of jQuery to 1.4.
  * Use python (>= 2.6.6-14~) as an alternative build-dependency to
    python-simplejson. The latter package is only needed for python2.5, and
    python-defaults 2.6.6-14 doesn't support it anymore.
  * Include jQuery source (closes: #630973).
    + Check at build time if versions of both jQuery copies match.

  [ Nikolaus Rath ]
  * Backport upstream changesets a8b0ef275438 and de340a6098c7 to allow
    extraction of function signature from docstring for extension modules.
    (closes: #630409). The feature is disabled by default for the moment.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 19 Jun 2011 14:44:49 +0200

sphinx (1.0.7-4) unstable; urgency=low

  * When Sphinx crashes, show 10 stack frames (instead of a single one).
  * Backport upstream patch to fix incompatibility with jQuery >= 1.5
    (closes: #625208). Thanks to Tshepang Lekhonkhobe for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 19 May 2011 11:59:00 +0200

sphinx (1.0.7-3) unstable; urgency=low

  [ Mikhail Gusarov ]
  * Change my email address.

  [ Jakub Wilk ]
  * New upstream release (closes: #613207).
    + Refresh patches.
    + Revert changes to the autosummary extension introduced in 1.0.7
      (closes: #611078).
  * Don't compress objects.inv. Thanks to Michael Fladischer for the bug
    report.
  * Remove *.egg-info in the clean target.
  * Move pycode/Grammar.txt and ext/autosummary/templates/* out of
    /usr/share/pyshared/ (closes: #609486).
  * Stop embedding Python version in filename of grammar pickle.
  * Ship grammar pickle in the binary package (closes: #613412). Thanks to
    Frederic-Emmanuel Picca for the bug report.
  * Drop preinst script to remove python-central leftovers; not needed
    anymore.
  * New upstream release.
  * Update and significantly rewrite manual pages (closes: #593623).
  * Switch to source format 3.0 (quilt).
    + Drop README.source.
    + Refresh patches.
    + Update debian/rules.
    + Drop quilt from build-depends.
  * Update debian/copyright.
  * Use DEP-3 format for patch headers.
  * Run tests at build time.
    + Add python-nose, python-simplejson and
      texlive-{latex-{recommended,extra},fonts-recommended} to
      Build-Depends-Indep.
    + Patch test runner to import modules correctly and prevent it from
      reading files in /usr/share/sphinx.
    + Update debian/rules.
  * Bump standards version to 3.9.1 (no changes needed).
  * Add ‘set -e’ to a for loop in debian/rules.

  [ Piotr Ożarowski ]
  * Minimum required versions bumped:
    - python-jinja2 >= 2.2
    - python-docutils >= 0.5
  * move_static_files_outside_site-packages.patch updated

  [ Stefano Rivera ]
  * Improve language and clarify options in manpages.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 04 Apr 2011 13:50:56 +0200

sphinx (0.6.6-3) unstable; urgency=low

  * Add myself to uploaders.
  * Fix formatting of the manual pages.
  * Update and significantly rewrite the sphinx-build manual page
    (closes: #593623).
  * Bump standards version to 3.9.1 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 30 Aug 2010 00:26:04 +0200

sphinx (0.6.6-2) unstable; urgency=low

  * Team upload.
   
  [ Mikhail Gusarov ]
  * Fix preinst script to correctly remove python-central remnants (Closes:
    #559572).

 -- Jakub Wilk <jwilk@debian.org>  Fri, 06 Aug 2010 16:33:55 +0200
