=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Uploaders: Jakub Wilk <jwilk@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Homepage: http://sphinx.pocoo.org/
Build-Depends: debhelper (>= 7), python-all (>= 2.5.4-1~), python-setuptools (>= 0.6c5-1~)
Build-Depends-Indep: python-support (>= 0.6.4), python-docutils, python-pygments (>= 0.8), python-jinja2 (>= 2.1),
  python-nose, python (>= 2.6.6-14~) | python-simplejson,
  xvfb, xauth, python-webkit, libjs-jquery (>= 1.4), libjs-underscore,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
  perl
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/sphinx/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/sphinx/trunk/

Package: python-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-docutils (>= 0.5), python-pygments (>= 0.8), python-jinja2 (>= 2.2),
  ${sphinxdoc:Depends}, libjs-sphinxdoc (= ${source:Version})
Recommends: python (>= 2.6) | python-simplejson, python-imaging
Suggests: jsmath
Description: tool for producing documentation for Python projects
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including doctrings from Python modules.

Package: libjs-sphinxdoc
Section: web
Architecture: all
Depends: ${misc:Depends}, libjs-jquery (>= 1.4), libjs-underscore
Description: JavaScript support for Sphinx documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package provides JavaScript code for documentation generated by Sphinx.
