## sphinx 1.0.8+dfsg

=== debian/changelog ===
sphinx (1.0.8+dfsg-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 12 Nov 2011 12:31:01 +0100

sphinx (1.0.8+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 12 Oct 2011 00:34:20 +0200

sphinx (1.0.8+dfsg-1) experimental; urgency=low

  * New upstream release.
    + Drop fix_jquery_1.5_incompatibility.diff, applied upstream.
    + Drop fix_test_build_latex.diff, applied upstream.
    + Refresh other patches.
  * Export PYTHONWARNINGS=d in debian/rules to enable all warnings in Python
    code.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 28 Sep 2011 17:20:22 +0200

sphinx (1.0.7+dfsg-2) unstable; urgency=low

  * JavaScript test suite: don't hang if get_title() returns None. Thanks to
    Ansgar Burchardt for the bug report.
  * dh_sphinxdoc:
    + Fix a typo in the manual page.
    + Don't check for existence of source files if HAS_SOURCE is false
      (closes: #641710). Thanks to Raphaël Hertzog for the bug report.
  * Disable use of ez_setup in setup.py.
  * Set myself as maintainer. Thanks to Mikhail Gusarov for his past work!

 -- Jakub Wilk <jwilk@debian.org>  Thu, 15 Sep 2011 13:53:16 +0200

sphinx (1.0.7+dfsg-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Disable JavaScript test using webkit as it hangs with Squeeze's version of
    python-webkit.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 13 Aug 2011 21:42:50 +0200
