=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: sphinx
 Section: python
 Priority: optional
-Maintainer: Mikhail Gusarov <dottedmag@debian.org>
-Uploaders: Jakub Wilk <jwilk@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Jakub Wilk <jwilk@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Homepage: http://sphinx.pocoo.org/
 Build-Depends: debhelper (>= 7), python-all (>= 2.5.4-1~), python-setuptools (>= 0.6c5-1~)
 Build-Depends-Indep: python-support (>= 0.6.4), python-docutils, python-pygments (>= 0.8), python-jinja2 (>= 2.1),
   python-nose, python (>= 2.6.6-14~) | python-simplejson,
-  xvfb, xauth, python-webkit, libjs-jquery (>= 1.4), libjs-underscore,
+  libjs-jquery (>= 1.4), libjs-underscore,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
   perl
 Standards-Version: 3.9.2
