=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 include /usr/share/python/python.mk
+
+export PYTHONWARNINGS=d
 
 here = $(dir $(firstword $(MAKEFILE_LIST)))/..
 debian_version = $(word 2,$(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
@@ -28,7 +30,6 @@
 	for python in $(shell pyversions -r); do \
 		$$python tests/run.py; \
 	done
-	xvfb-run ./debian/jstest/run-tests
 endif
 	touch build-stamp
