## sphinx 1.1.2+dfsg

=== debian/changelog ===
sphinx (1.1.2+dfsg-1) experimental; urgency=low

  * New upstream release (closes: #649048).
    + Drop autosummary_1.0.6.patch for the time being (reopens: #611078).
    + Drop docstring_parse.diff, applied upstream.
    + Rename disable_ez_setup.diff to disable_distribute_setup.diff.
    + Drop move_static_files_outside_site-packages.patch. Most of it was
      applied upstream, the remaining bits are now taken care of in
      debian/rules.
    + Refresh other patches.
    + Update integration tests for the JavaScript code.
    + Bump minimum required versions:
      - python-docutils to >= 0.7;
      - python-pygments to >= 1.2;
      - python-jinja2 to >= 2.3.
      - python to >= 2.5.
    + Add code to install also JavaScript files that are generated at build
      time. Add websupport.js to dh_sphinxdoc index.
    + Update debian/copyright.
  * Texinfo output format is now supported (closes: #586747).
  * Update version numbers in the manual pages. Add a build-time warning to be
    emitted if they ever get out of date again.
  * Build manual pages (except for sphinx-autogen.1) from reStructuredText
    sources.
  * Rephrase short package description, so that it's... shorter.
  * New binary package: sphinx-common, containing manual pages, templates,
    translations and other data files.
  * New binary package: sphinx-doc, containing documentation.
    + Conflict with previous versions python-sphinx.
    + /usr/share/doc/python-sphinx/html used to be a directory, but is now a
      symlink. Conflict with older versions of python-docutils, so that dpkg
      can replace one with the other. Add lintian override.
  * New binary package: python3-sphinx.
    + Both python-sphinx and python3-sphinx provide sphinx-* scripts. The
      scripts have:
      #!/usr/bin/python3 shebang if only python3-sphinx is installed;
      #!/usr/bin/python shebang otherwise.
    + /usr/bin/sphinx-* are now symlinks and are managed by docutils-common
      postinst/postrm maintainer scripts.
    + Make sphinx-common conflict with older versions of python-sphinx that
      were shipping /usr/bin/sphinx-* scripts. Add lintian override for
      conflicts-with-version.
    + Add build-dependency on python3 (needed for dh_python3) and
      python3-setuptools.
    + Add X-Python3-Version field.
  * Improve debian/rules:
    + Run dh_install with --fail-missing.
    + Make the build actually fail if integration tests for the JavaScript
      code fail.
    + Refactor the code responsible for moving data into a private directory.
      Rename some variables to make them lowercase. Don't use CURDIR where
      it's not necessary.
    + Make it possible to rebuild the package without running clean target.
    + Remove unneeded mkdir calls.
    + Use a for loop in debian/rules to install all sphinx-* scripts.
    + Run nosetests with --verbose --no-skip.
  * Add build-dependency on the following packages (needed for the test
    suite): python-sqlalchemy, python-whoosh, python-xapian.
  * Use XS-Python-Version instead of debian/pyversions.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 20 Nov 2011 15:56:50 +0100
